Package twisted :: Package mail :: Module tap :: Class Options

[show private | hide private]
[frames | no frames]

## Class Options

    UserDict --+
               |
         Options --+
                   |
                  Options

Method Summary
| `__init__(self)`
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_b`(self)` undelivered mails are sent to the postmaster
| ``opt_bounce_to_postmaster`(self)` undelivered mails are sent to the postmaster
| ``opt_d`(self, domain)` generate an SMTP/POP3 virtual domain which saves to "path"
| ``opt_domain`(self, domain)` generate an SMTP/POP3 virtual domain which saves to "path"
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| ``opt_u`(self, user_pass)` add a user/password to the last specified domains
| ``opt_user`(self, user_pass)` add a user/password to the last specified domains
| `opt_version(self)` (inherited from `Options`)
| ``parseArgs`(self)` I am called with any leftover arguments which were not options. (inherited from `Options`)
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed.
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)
| ``_gather_flags`(self)` Gather up boolean (flag) options. (inherited from `Options`)
| ``_gather_handlers`(self)` Gather up options with their own handler methods. (inherited from `Options`)
| ``_gather_parameters`(self)` Gather options which take a value. (inherited from `Options`)
| `_generic_flag(self, flagName, value)` (inherited from `Options`)
| `_generic_parameter(self, parameterName, value)` (inherited from `Options`)

Class Variable Summary
`string` | `longdesc`
`list` | `optParameters`
`string` | `synopsis`

Method Details

### opt_b(self)

undelivered mails are sent to the postmaster

### opt_bounce_to_postmaster(self)

undelivered mails are sent to the postmaster

### opt_d(self, domain)

generate an SMTP/POP3 virtual domain which saves to "path"

### opt_domain(self, domain)

generate an SMTP/POP3 virtual domain which saves to "path"

### opt_u(self, user_pass)

add a user/password to the last specified domains

### opt_user(self, user_pass)

add a user/password to the last specified domains

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### longdesc

  Type:
    `string`
  Value:

        'This creates a mail.tap file that can be used by twistd.'

### optParameters

  Type:
    `list`
  Value:

        [['pop3', 'p', 8110, 'Port to start the POP3 server on (0 to disable).\
        '],
         ['smtp', 's', 8025, 'Port to start the SMTP server on (0 to disable).\
        '],
         ['relay',
          'r',
          None,
          'relay mail we do not know how to handle to this IP, using the given\
        ...

### synopsis

  Type:
    `string`
  Value:

        'Usage: mktap mail [options]'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:08 2003 | http://epydoc.sf.net